Bug 157072 - [new port] security/truecrypt
[new port] security/truecrypt
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-15 20:30 UTC by rpsfa
Modified: 2011-06-11 02:40 UTC (History)
0 users

See Also:


Attachments
file.shar (4.30 KB, text/plain)
2011-05-15 20:30 UTC, rpsfa
no flags Details
truecrypt.shar.txt (5.95 KB, text/plain; charset=us-ascii)
2011-06-04 19:40 UTC, rpsfa
no flags Details
truecrypt.shar.txt (5.95 KB, text/plain; charset=us-ascii)
2011-06-04 19:49 UTC, rpsfa
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description rpsfa 2011-05-15 20:30:11 UTC
New port: security/truecrypt

Currently, only the CLI version is offered via the port.

Free open-source disk encryption software for Windows 7/Vista/XP, Mac OS X, and Linux
Main Features:
    * Creates a virtual encrypted disk within a file and mounts it as a real disk.
    * Encrypts an entire partition or storage device such as USB flash drive or hard drive.
    * Encrypts a partition or drive where Windows is installed (pre-boot authentication).
    * Encryption is automatic, real-time (on-the-fly) and transparent.
    * Parallelization and pipelining allow data to be read and written as fast as if the drive was not encrypted.
    * Encryption can be hardware-accelerated on modern processors.
    * Provides plausible deniability, in case an adversary forces you to reveal the password:
      Hidden volume (steganography) and hidden operating system.
      More information about the features of TrueCrypt may be found in the documentation.

Fix: Patch attached with submission follows:
Comment 1 rpsfa 2011-05-15 20:47:42 UTC
pkg-message contains a typo: 'considere' should be 'considered'
pkg-message should also note that instability issues seem to surface when working with files larger than a few megs.

As a side note, it is hoped that the creation of this port will help developers improve some of the instability issues that truecrypt.org reports with FreeBSD's FUSE implementation by providing an application to work with.
Comment 2 rpsfa 2011-05-15 21:09:05 UTC
The limited testing that I've done has revealed that reading from a mounted volume works quite well.  The stability issues seem to surface whenever writing larger files.
Comment 3 Wesley Shields freebsd_committer 2011-05-16 01:29:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 rpsfa 2011-06-04 19:40:44 UTC
Updated shar to address issues in the original submission.
Comment 5 rpsfa 2011-06-04 19:49:39 UTC
Updated shar to address issues in the original submission.
Comment 6 Wesley Shields freebsd_committer 2011-06-11 02:31:47 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 7 dfilter freebsd_committer 2011-06-11 02:32:51 UTC
wxs         2011-06-11 01:32:37 UTC

  FreeBSD ports repository

  Modified files:
    .                    LEGAL 
    security             Makefile 
  Added files:
    security/truecrypt   Makefile distinfo pkg-descr pkg-message 
  Log:
  Free open-source disk encryption software
  
  Main Features:
  * Creates a virtual encrypted disk within a file and mounts it as
    a real disk.
  * Encrypts an entire partition or storage device such as USB flash
    drive or hard drive.
  * Encryption is automatic, real-time (on-the-fly) and transparent.
  * Parallelization and pipelining allow data to be read and written
    as fast as if the drive was not encrypted.
  * Provides plausible deniability, in case an adversary forces you
    to reveal the password:
    Hidden volume (steganography) and hidden operating system.
  
  WWW: http://www.truecrypt.org/
  
  NOTE: This port is experimental and provides no GUI for managing
  truecrypt volumes.
  
  PR:             ports/157072
  Submitted by:   Ryan Steinmetz <rpsfa@rit.edu>
  
  Revision  Changes    Path
  1.658     +4 -1      ports/LEGAL
  1.1175    +1 -0      ports/security/Makefile
  1.1       +84 -0     ports/security/truecrypt/Makefile (new)
  1.1       +10 -0     ports/security/truecrypt/distinfo (new)
  1.1       +15 -0     ports/security/truecrypt/pkg-descr (new)
  1.1       +14 -0     ports/security/truecrypt/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"